=== debian/changelog ===
texlive-lang (2017.20180305-1) unstable; urgency=medium

  * new upstream checkout: final 2017 release

 -- Norbert Preining <preining@debian.org>  Mon, 05 Mar 2018 09:42:22 +0900
